//==============================================================================
// Printf - Handles serial IO including C type Printf functions
//==============================================================================
#ifndef _PRINTF_H_
#define _PRINTF_H_
#include <stdarg.h>

#ifdef __cplusplus
extern "C" {
#endif

extern int lsprintf(char *out, const char *format, ...);
extern int IOPrintf(byte bPin, word wMode, const char *format, ...);
extern int IOVPrintf(byte bPin, word wMode, const char *format,  va_list ap);

extern int DBGPrintf(const char *format, ...);	// quick and dirty to not have to keep passing stuff...
extern void TASerout(byte bPin, word wMode, const char *pb, byte cb);

extern byte TASerin(byte bPin, byte bfPin, word wMode, char *pb, byte cb, unsigned long lTimeout, word wEOL);

// Define some baud rates
// BUGBUG:: cleanup and move to appropriate header files...
#define I9600		0x40d0
#define	I38400		0x4034
#define I115200		0x4011

#ifdef __cplusplus
}
#endif
#endif /* _PRINTF_H_ */
